/*
 * cal-gapmarker.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <vdr/menu.h>

class cCalGapMarkingThread;

class cCalGapMarkerMenu : public cOsdMenu {
private:
  int ptsThreshold;
  const char* fileName;
public:
  cCalGapMarkerMenu(const char* FileName);
  virtual eOSState ProcessKey(eKeys Key);
  };

class cCalGapMarker {
private:
  static cCalGapMarkingThread *gapMarkingThread;
  static bool ended;
public:
  static bool Start(const char *FileName, int ptsThreshold);
  static void Stop(void);
  static bool Active(void);
  static bool Ended(void);
  };
